cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Community Tip - Help us improve the PTC Community by taking this short Community Survey! X

CREO 7.0.2.0 and Java 11

Dom_BOUCHARDY
9-Granite

CREO 7.0.2.0 and Java 11

HI all,

 

For evaluation purposes, I want to install CREO 8.0.

However my company uses CREO 7.0.2.0, java 8_301 as well as WINDCHILL 11.1

I figured out that for CREO 8 I need Java 11.

 

Can I install Java 11, run my tests on CREO8, and continue to work alongside CREO 7.0.2.0 to troubleshoot my users?

 

Regards

1 ACCEPTED SOLUTION

Accepted Solutions
sacquarone
20-Turquoise
(To:VladimirN)

Hello @Dom_BOUCHARDY 

 

I'm part of PTC Technical Support, but not covering usually this part of our applications. Consider therefore what follows as a willingness to help (as @VladimirN raised my attention on this), but if you want to have the official answer from PTC Technical Support, please open a case to us from here.

 

Regarding your question, and just illustrating my answer from what I can see in our official documents, without knowledge in this area then:

  • We have currently no compatibility matrix between the version of Creo Parametric and the different Java Development Kit, as officially documented in our article 344867
  • Nevertheless, as documented in Creo Future Platform Support Summary page (provided as a link from above article): 
    • JDSK 8.0 is indeed what is officially supported for Creo Parametric 7.0
    • Whereas JDSK 11.0 is indeed what is officially supported for Creo Parametric 8.0
  • Therefore, starting from what is documented in above document, if after upgrade from JDSK 7.0 to JDSK 11.0, you have issues in making things (probable developments outside of Creo Parametric standard capabilities) working in the context of a Creo Parametric 7.0 version, you may have some kind of 'unsupported configuration" answer when reporting cases to us in this direction

 

Again, take above information with caution (not an expert here once again), and feel free therefore to open a case to us if you would like to get official views from PTC TS.

 

Regards,

 

Serge

View solution in original post

5 REPLIES 5

@sacquarone Please take a look.

sacquarone
20-Turquoise
(To:VladimirN)

Hello @Dom_BOUCHARDY 

 

I'm part of PTC Technical Support, but not covering usually this part of our applications. Consider therefore what follows as a willingness to help (as @VladimirN raised my attention on this), but if you want to have the official answer from PTC Technical Support, please open a case to us from here.

 

Regarding your question, and just illustrating my answer from what I can see in our official documents, without knowledge in this area then:

  • We have currently no compatibility matrix between the version of Creo Parametric and the different Java Development Kit, as officially documented in our article 344867
  • Nevertheless, as documented in Creo Future Platform Support Summary page (provided as a link from above article): 
    • JDSK 8.0 is indeed what is officially supported for Creo Parametric 7.0
    • Whereas JDSK 11.0 is indeed what is officially supported for Creo Parametric 8.0
  • Therefore, starting from what is documented in above document, if after upgrade from JDSK 7.0 to JDSK 11.0, you have issues in making things (probable developments outside of Creo Parametric standard capabilities) working in the context of a Creo Parametric 7.0 version, you may have some kind of 'unsupported configuration" answer when reporting cases to us in this direction

 

Again, take above information with caution (not an expert here once again), and feel free therefore to open a case to us if you would like to get official views from PTC TS.

 

Regards,

 

Serge

Hello everyone,

 

Thank you very much for your very fast response, this community is awesome 🙂

 

I went through the PTC documentation before posting, but didn't get a clear answer so I asked you.

 

@sacquarone: thank you for your explanations, very clear and accept your suggestion to open a ptc file.

 

Regards

 

Dom

Thank you, Serge!

What I do here is download the java 11 jre runtime zip file from https://adoptium.net/ and  extract that into c:/ptc/creo_parametric-8.0/java.

Then set environment variable PRO_JAVA_COMMAND=c:/ptc/creo_parametric-8.0/java

If you want something "officially" supported then do the same for Amazon Corretto java jdk zip file.

  • The adoptium java 11 is not officially supported however we have been using it successfully for a couple of years.
    • The adoptium jre only takes up 41mb of disk space
  • The Amazon Corretto java 11 is officially supported however they only offer a jdk and not a jre
    • The Amazon jdk takes up 293mb of disk space
  • This provides an easy painless method to update java in your Creo Parametric install
    • No goofy Windows installer involved! Simply unzip and use it.
    • Trivial to have different versions in your different Creo Parametric installs
    • Not affecting other Windows programs.
Top Tags